Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tiles.beans
Class SimpleMenuItem

    java.lang.Object
      org.apache.tiles.beans.SimpleMenuItem

All Implemented Interfaces:
  java.io.Serializable, MenuItem

    public class SimpleMenuItem

extends java.lang.Object
implements MenuItem, java.io.Serializable

A MenuItem implementation. Used to read menu items in definitions.

Version:
  $Rev: 527536 $ $Date: 2007-04-11 17:44:51 +0200 (mer, 11 apr 2007) $
See Also:
  Serialized Form

Constructor Summary
`SimpleMenuItem()` Constructor.

Method Summary
`java.lang.String` | `getIcon()` Returns the (optional) icon image URL.
`java.lang.String` | `getLink()` Returns the link where the menu item points to.
`java.lang.String` | `getTooltip()` Returns the (optional) tooltip text.
`java.lang.String` | `getValue()` Returns the value of the item, i.e. what is really visible to the user.
`void` | `setIcon(java.lang.String icon)` Sets the (optional) icon image URL.
`void` | `setLink(java.lang.String link)` Sets the link where the menu item points to.
`void` | `setTooltip(java.lang.String tooltip)` Sets the (optional) tooltip text.
`void` | `setValue(java.lang.String value)` Sets the value of the item, i.e. what is really visible to the user.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SimpleMenuItem

    public SimpleMenuItem()

  Constructor.

Method Detail

### setValue

    public void setValue(java.lang.String value)

  Sets the value of the item, i.e. what is really visible to the user.

  Specified by:
    `setValue` in interface `MenuItem`
  Parameters:
    `value` - The value of the item.

### getValue

    public java.lang.String getValue()

  Returns the value of the item, i.e. what is really visible to the user.

  Specified by:
    `getValue` in interface `MenuItem`
  Returns:
    The value of the item.

### setLink

    public void setLink(java.lang.String link)

  Sets the link where the menu item points to.

  Specified by:
    `setLink` in interface `MenuItem`
  Parameters:
    `link` - The link.

### getLink

    public java.lang.String getLink()

  Returns the link where the menu item points to.

  Specified by:
    `getLink` in interface `MenuItem`
  Returns:
    The link.

### setIcon

    public void setIcon(java.lang.String icon)

  Sets the (optional) icon image URL.

  Specified by:
    `setIcon` in interface `MenuItem`
  Parameters:
    `icon` - The icon URL.

### getIcon

    public java.lang.String getIcon()

  Returns the (optional) icon image URL.

  Specified by:
    `getIcon` in interface `MenuItem`
  Returns:
    The icon URL.

### setTooltip

    public void setTooltip(java.lang.String tooltip)

  Sets the (optional) tooltip text.

  Specified by:
    `setTooltip` in interface `MenuItem`
  Parameters:
    `tooltip` - The tooltip text.

### getTooltip

    public java.lang.String getTooltip()

  Returns the (optional) tooltip text.

  Specified by:
    `getTooltip` in interface `MenuItem`
  Returns:
    The tooltip text.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Apache Software Foundation. All Rights Reserved.